﻿namespace TBL.GodotSharp.Ui.Indexed
{
    /// <summary>
    /// 可被索引访问的显示元素接口
    /// </summary>
    /// <typeparam name="T">索引的类型</typeparam>
    public interface IIndexedDisplayElement<out T> where T : unmanaged
    {
        /// <summary>
        /// 此元素的索引
        /// </summary>
        T Index { get; }
    }
}