﻿using System;
using Godot;

namespace TBL.GodotSharp
{
    /// <summary>
    /// Godot 异常
    /// </summary>
    public class GodotException : Exception
    {
        public GodotException(Error error) : this(error, string.Empty)
        {
        }

        public GodotException(Error error, string message) : base($"{message}[{error}]")
        {
        }
    }
}